## giarpfanoa 0.1.1

=== Makefile ===
DIRS=src config
PREFIX=/usr/local

all:
	for d in $(DIRS) ; do \
		(cd $$d; make) \
	done

clean:
	for d in $(DIRS) ; do \
		(cd $$d; make $@) \
	done

install:
	for d in $(DIRS) ; do \
		(cd $$d; make $@) \
	done

=== config/Makefile ===
all:

clean:

install:
	mkdir -p $(DESTDIR)/etc/giarpfanoa
	install --mode=644 giarpfanoa.conf $(DESTDIR)/etc/giarpfanoa

=== debian/changelog ===
giarpfanoa (0.1.1) unstable; urgency=low

  * Fixed module loading.
  * Added config to install target.
  * Various other bugfixes so that the tool is really useful.

 -- Ola Lundqvist <opal@debian.org>  Fri, 11 Jul 2003 12:08:43 +0200

giarpfanoa (0.1.0) unstable; urgency=low

  * Initial release.

 -- Ola Lundqvist <opal@debian.org>  Mon, 26 May 2003 19:45:46 +0200

=== debian/control ===
Source: giarpfanoa
Section: misc
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.18), perl
Standards-Version: 3.5.8

Package: giarpfanoa
Architecture: all
Suggests: ettercap
Description: gather network information using module system
 Gather information about responsible persons for a node or action. That is
 what the acronym stands for and what this package performs. It is very
 modular and you can easily plug in modules to make it possible to get more
 information from the network.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/giarpfanoa.
	make install DESTDIR=$(CURDIR)/debian/giarpfanoa PREFIX=/usr

binary-arch:

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i	
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i 
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_perl -i
#	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary install configure

## giarpfanoa 0.1.2

=== debian/changelog ===
giarpfanoa (0.1.2) unstable; urgency=low

  * Updated GPL license to new version from fsf.org.
  * Updated to debhelper 4 compatibility.
  * Updated to standards version 3.7.2 from 3.5.8.
  * Changed from build-depends-indep to build-depends for debhelper.
  * Corrected FSF address in debian/copyright file.
  * Version number display support corrected.

 -- Ola Lundqvist <opal@debian.org>  Sun,  9 Jul 2006 23:38:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

## giarpfanoa 0.1.3

=== src/Makefile ===
export LANG=C

all: giarpfanoa.1

clean:
	-rm -f giarpfanoa.1

install: install-bin install-share install-man

install-share:
	mkdir -p $(DESTDIR)$(PREFIX)/share/giarpfanoa
	install -m644 *.func *.mod $(DESTDIR)$(PREFIX)/share/giarpfanoa

install-bin:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install giarpfanoa.sh $(DESTDIR)$(PREFIX)/bin/giarpfanoa

install-man:
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install -m644 giarpfanoa.1 $(DESTDIR)$(PREFIX)/share/man/man1

giarpfanoa.1: giarpfanoa.pod
	pod2man --section=1 \
		--release="Giarpfanoa " \
		--date="`date`" \
		$^ > $@

=== debian/changelog ===
giarpfanoa (0.1.3) unstable; urgency=low

  * Corrected two command checks that cause problem if hp-search-mac or
    nbtscan is not installed. Thanks to Bodo Meissner <bodo@bodo-m.de>
    for the simple fix, closes: #461870.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Jan 2008 07:28:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.18), perl
-Standards-Version: 3.5.8
+Build-Depends-Indep: perl
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: giarpfanoa
 Architecture: all
